import java.util.logging.Level;

import com.jme.app.SimpleGame;
import com.jme.math.Vector3f;
import com.jme.scene.state.CullState;
import com.jme.util.LoggingSystem;

import fr.bhprod.sga.terrain.Terrain;

/**
 * Keys :<BR>
 * - P to action "toggle_pause"<BR>
 * - T to action "toggle_wire"<BR>
 * - L to action "toggle_lights"<BR>
 * - B to action "toggle_bounds"<BR>
 * - N to action "toggle_normals"<BR>
 * - C to action "camera_out"<BR>
 * - F1 to action "screen_shot"<BR>
 * - ESCAPE to action "exit"<BR>
 * - F2 to action "parallel_projection"<BR>
 * - F3 to action "toggle_depth"<BR>
 * - R to action "mem_report"<BR>
 * - Arrow keys to change the camera direction<BR>
 * - Z, Q, S, D to change the camera position
 * @author jbeaufils
 */
public class Test extends SimpleGame {
	public static void main(String[] args) {
		Test app = new Test();
		app.setDialogBehaviour(FIRSTRUN_OR_NOCONFIGFILE_SHOW_PROPS_DIALOG);
		app.start();
	}
	
	@Override
	protected void simpleInitGame() {
		LoggingSystem.getLogger().setLevel(Level.OFF);
		
		display.setTitle("SGA");
        
		CullState cs = display.getRenderer().createCullState();
        cs.setCullMode(CullState.CS_NONE);
        cs.setEnabled(true);
        rootNode.setRenderState(cs);

        /*CullState cs = display.getRenderer().createCullState();
        cs.setCullMode(CullState.CS_FRONT);
        cs.setEnabled(true);
        rootNode.setRenderState(cs);

        ZBufferState buf = display.getRenderer().createZBufferState();
        buf.setFunction(ZBufferState.CF_LEQUAL);
        buf.setEnabled(true);
        rootNode.setRenderState(buf);*/
        
        Terrain terrain = new Terrain(display.getRenderer());
		rootNode.attachChild(terrain.getNode());
		
		cam.setLocation(new Vector3f(100,100,-100));
		cam.lookAt(new Vector3f(0,0,0), Vector3f.UNIT_Y);
		cam.update();
		
		lightState.setEnabled(false);
		
		/*FogState fs = display.getRenderer().createFogState();
		fs.setStart(20);
		fs.setEnd(100);
		fs.setColor(ColorRGBA.orange);
		fs.setDensity(0.5f);
		rootNode.setRenderState(fs);*/
		
        // IMPORTANT
		rootNode.updateRenderState();
		
//System.exit(0);
	}

	@Override
	protected void simpleRender() {
		super.simpleRender();
	}

	@Override
	protected void simpleUpdate() {
		super.simpleUpdate();
	}
}
