import java.io.File;
import java.util.logging.Level;

import com.jme.app.SimpleGame;
import com.jme.math.Vector3f;
import com.jme.scene.state.CullState;
import com.jme.scene.state.ZBufferState;
import com.jme.util.LoggingSystem;

import fr.bhprod.sga.entity.DummyObject;

/**
 * 
 * @author jbeaufils
 * @version 1.0
 */

public class TestAnimation extends SimpleGame {

	public static void main(String[] args) {
		TestAnimation app = new TestAnimation();
		app.setDialogBehaviour(FIRSTRUN_OR_NOCONFIGFILE_SHOW_PROPS_DIALOG);
		app.start();
	}
	
	@Override
	protected void simpleInitGame() {
		LoggingSystem.getLogger().setLevel(Level.OFF);
		
		display.setTitle("SGA");
        
        CullState cs = display.getRenderer().createCullState();
        cs.setCullMode(CullState.CS_FRONT);
        cs.setEnabled(true);
        rootNode.setRenderState(cs);

        ZBufferState buf = display.getRenderer().createZBufferState();
        buf.setFunction(ZBufferState.CF_LEQUAL);
        buf.setEnabled(true);
        rootNode.setRenderState(buf);

		lightState.setEnabled(false);
		
		DummyObject ent = null;
		try {
			ent = new DummyObject("perso", new Vector3f(0,0,-1), new File("media/models/soldat.xml"), display.getRenderer());
		} catch (Throwable e) {
			e.printStackTrace();
			System.exit(1);
		}

		ent.setAnimationCycle(false);
		ent.setAnimation("stand");
		
		rootNode.attachChild(ent.getNode());
		
        // IMPORTANT
		rootNode.updateRenderState();
	}

	@Override
	protected void simpleRender() {
		super.simpleRender();
	}

	@Override
	protected void simpleUpdate() {
		super.simpleUpdate();
	}

}

