package fr.bhprod.sga.entity;

import com.jme.bounding.BoundingBox;
import com.jme.image.Texture;
import com.jme.math.Vector3f;
import com.jme.renderer.Renderer;
import com.jme.scene.Node;
import com.jme.scene.shape.Box;
import com.jme.scene.state.TextureState;
import com.jme.util.TextureManager;

/**
 * 
 * @author jbeaufils
 * @version 1.0
 */

public class Crate extends PlayableObject {
	private static final long serialVersionUID = -8666259563052387798L;

	public Crate(String nodeName, Vector3f position, Renderer renderer) {
		node = new Node(nodeName);
		
		Box crate = new Box("crate",Vector3f.ZERO, 1, 1, 1);
		
		TextureState ts = renderer.createTextureState();
		Texture texture = TextureManager.loadTexture("media/models/crate/crate71.jpg",
				Texture.MM_LINEAR_LINEAR, Texture.FM_LINEAR);
		ts.setTexture(texture);
		crate.setRenderState(ts);
		
		node.attachChild(crate);
		
		node.setModelBound(new BoundingBox());
		node.updateModelBound();

		setScale(1);
		
		setAnimated(false);

		setSpeed(1);

		setPosition(new Vector3f(200,10,-200));
		
		setAngle(0);
	}

}

