package fr.bhprod.sga.terrain.layer;

import java.io.File;

import com.jme.image.Texture;
import com.jme.renderer.Renderer;
import com.jme.scene.Node;
import com.jme.scene.TriMesh;
import com.jme.util.TextureManager;

import fr.bhprod.sga.terrain.Terrain;

/**
 * 
 * @author jbeaufils
 * @version 1.0
 */

public final class TextureStampingUtil {

	/**
	 * Create the stamping texture layer.
	 * 
	 * @param display
	 *            The current display
	 */
	public static final Node paintManyLayerTextureStamping(File stampingFile, Terrain terrain, Renderer renderer) {
		Node layerTextureStampingNode = new Node("layerTextureStampingNode");
		
		Texture stampTexture = TextureManager.loadTexture(stampingFile.getAbsolutePath(),
				Texture.MM_LINEAR, Texture.FM_LINEAR, 1, true);
		stampTexture.setMipmapState(Texture.MM_LINEAR);
		stampTexture.setWrap(Texture.WM_WRAP_S_WRAP_T);

		// Each patch is 16 X 16 tiles
		for (int tz = 0; tz < terrain.getTilesZ(); tz += 16) {
			for (int tx = 0; tx < terrain.getTilesX(); tx += 16) {
				TriMesh mesh = Patch.createPatch("TextureStampingLayer", 16, tx, tz,
						stampTexture, true, true, false, terrain, renderer);
				layerTextureStampingNode.attachChild(mesh);
			}
		}
		
		return layerTextureStampingNode;
	}

}

